Happy Horse
HappyHorse-1.0-R2V · 生成视频
视频 / HappyHorse / HappyHorse-1.0-R2V / 生成视频
| 接口 | 方法 | 路径 |
|---|---|---|
| 提交任务 | POST | /v1/videos/generations |
| 查询结果 | GET | /v1/videos/generations/{id} |
请求参数
Authorization
在 Header 添加参数 Authorization,其值为 Bearer 之后拼接你的 API Key。
Authorization: Bearer ****************
Header 参数
Content-Typestring可选
application/json
Acceptstring可选
application/json
Body 参数application/json必填
modelstring必需
模型 ID,固定为 `happyhorse-1.0-r2v`
inputobject必需
输入
parametersobject可选
生成参数
示例
{ "model": "happyhorse-1.0-r2v", "input": { "prompt": "海浪拍打礁石的慢镜头,黄昏暖色调" }, "parameters": { "resolution": "720P", "duration": 5 }}请求示例代码
curl https://api.hotrouter.ai/v1/videos/generations \ -H "Authorization: Bearer $API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "happyhorse-1.0-r2v", "input": { "prompt": "海浪拍打礁石的慢镜头,黄昏暖色调" }, "parameters": { "resolution": "720P", "duration": 5 } }'返回响应
提交任务
{ "output": { "task_id": "xxxxxxxx", "task_status": "PENDING" }}查询结果
{ "output": { "task_status": "SUCCEEDED", "video_url": "https://.../video.mp4" }}
